STOFFHeaderFooter Class Reference documentation

Public Types | Public Member Functions | Public Attributes | List of all members
STOFFHeaderFooter Class Reference

a class which stores the header/footer More...

`#include <STOFFPageSpan.hxx>`

## Public Types
enum | Type { R_Left =0, R_Center, R_Right, R_All }
| the different type More...

## Public Member Functions
| STOFFHeaderFooter ()
| constructor More...
| ~STOFFHeaderFooter ()
| destructor More...
bool | operator== (STOFFHeaderFooter const &headerFooter) const
| operator== More...
bool | operator!= (STOFFHeaderFooter const &headerFooter) const
| operator!= More...
void | send (STOFFListener *listener, bool header) const
| send to header to the listener More...

## Public Attributes
STOFFSubDocumentPtr | m_subDocument [4]
| the document data: left, center, right, all More...

## Detailed Description

a class which stores the header/footer

## Member Enumeration Documentation

## ◆ Type

enum STOFFHeaderFooter::Type

the different type

Enumerator
R_Left |
R_Center |
R_Right |
R_All |

## Constructor & Destructor Documentation

## ◆ STOFFHeaderFooter()

STOFFHeaderFooter::STOFFHeaderFooter | ( |  | ) |
| inline

constructor

## ◆ ~STOFFHeaderFooter()

STOFFHeaderFooter::~STOFFHeaderFooter | ( |  | ) |
| inline

destructor

## Member Function Documentation

## ◆ operator!=()

bool STOFFHeaderFooter::operator!= | ( | STOFFHeaderFooter const & | headerFooter | ) | const
| inline

operator!=

## ◆ operator==()

bool STOFFHeaderFooter::operator== | ( | STOFFHeaderFooter const & | headerFooter | ) | const

operator==

Referenced by operator!=(), STOFFPageSpan::operator!=(), and ~STOFFHeaderFooter().

## ◆ send()

void STOFFHeaderFooter::send | ( | STOFFListener * | listener,
|  | bool | header
| ) |  | const

send to header to the listener

Referenced by operator!=().

## Member Data Documentation

## ◆ m_subDocument

STOFFSubDocumentPtr STOFFHeaderFooter::m_subDocument[4]

the document data: left, center, right, all

Referenced by StarPageAttribute::StarPAttributeFrameHF::addTo(), StarPageAttribute::StarPAttributePageHF::addTo(), operator==(), and send().

The documentation for this class was generated from the following files:

- STOFFPageSpan.hxx
- STOFFPageSpan.cxx